namespace HistoryView.Controls;

public partial class ChannelConfig : UserControl
{
    public ChannelConfig()
    {
        InitializeComponent();
    }

    public TempConfigSubChannel Source
    {
        get { return (TempConfigSubChannel)GetValue(SourceProperty); }
        set { SetValue(SourceProperty, value); }
    }

    // Using a DependencyProperty as the backing store for Source.  This enables animation, styling, binding, etc...
    public static readonly DependencyProperty SourceProperty =
        DependencyProperty.Register("Source", typeof(TempConfigSubChannel), typeof(ChannelConfig), new PropertyMetadata(default));
}
